org.gjt.sp.jedit.msg

## Class DynamicMenuChanged

- java.lang.Object
- - org.gjt.sp.jedit.EBMessage
  - - org.gjt.sp.jedit.msg.DynamicMenuChanged

    public class DynamicMenuChanged
    extends EBMessage

Sending this message will cause the specified dynamic menu to be recreated.

Since:
  jEdit 4.2pre2

### Constructor Summary

Constructors
Constructor and Description
`DynamicMenuChanged(java.lang.String name)` Creates a new dynamic menu changed message.

### Method Summary

Methods
`java.lang.String` `getMenuName()` Returns the name of the menu in question.
`java.lang.String` `paramString()` Returns a string representation of this message's parameters.

### Methods inherited from class org.gjt.sp.jedit.EBMessage

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DynamicMenuChanged

    public DynamicMenuChanged(java.lang.String name)

Creates a new dynamic menu changed message.

Parameters:
  `name` - The menu name. All dynamic menus with this name will be recreated next time they are displayed.

### Method Detail

#### getMenuName

    public java.lang.String getMenuName()

Returns the name of the menu in question.

#### paramString

    public java.lang.String paramString()

Description copied from class: `EBMessage`
Returns a string representation of this message's parameters.

Overrides:
  `paramString` in class `EBMessage`